#General utilities

is.equal <- function(...) {
  isTRUE(all.equal(...))
}

#same as model.matrix, but leave NA rows
model.matrix.NA <- function(object, data) {
  MM <- model.matrix(object, data)
  MM <- MM[match(rownames(data), rownames(MM)), ]
  rownames(MM) <- rownames(data)
  return(MM)
}

#if warning is in ignoreWarningList, ignore it; otherwise post it as usual
SuppressGivenWarnings <- function(expr, warningsToIgnore) {
  h <- function (w) {
    if (w$message %in% warningsToIgnore) invokeRestart( "muffleWarning" )
  }
  withCallingHandlers(expr, warning = h )
}

rexpit <- function(x) rbinom(n=length(x), size=1, prob=plogis(x))


# Given row and column numbers of a matrix with num.rows rows, compute the single index
sub2ind <- function(row, col, num.rows) {
  return((col - 1) * num.rows + row)
}

jpaste <- function(...) {
  return(paste(..., sep=""))
}

repmat <- function(X,m,n){
  ##R equivalent of repmat (matlab)
  mx <- dim(X)[1]
  nx <- dim(X)[2]
  return(matrix(t(matrix(X,mx,nx*n)),mx*m,nx*n,byrow=T))
}

drop3 <- function(x) {
  #if x is an array with 3 dimensions and third dimension has one level, return a matrix with it dropped; otherwise error
  stopifnot(length(dim(x))==3)
  stopifnot(dim(x)[3]==1)
  dim(x) <- dim(x)[1:2]
  return(x)
}
