\name{ltmle-package}
\alias{ltmle-package}
\docType{package}
\title{
Targeted Maximum Likelihood Estimation for Longitudinal Data
}
\description{
Targeted Maximum Likelihood Estimation (TMLE) of treatment/censoring specific mean outcome or marginal structural model for point-treatment and longitudinal data. Also provides Inverse Probability of Treatment/Censoring Weighted estimate (IPTW) and maximum likelihood based G-computation estimate (G-comp). Can be used to calculate additive treatment effect, risk ratio, and odds ratio.
}
\details{
\tabular{ll}{
Package: \tab ltmle\cr
Type: \tab Package\cr
Version: \tab 0.8\cr
Date: \tab 2013-03-06\cr
License: \tab GPL-2\cr
}
}
\author{
Joshua Schwab, based on the work of Susan Gruber and Mark van der Laan

Maintainer: Joshua Schwab \email{joshuaschwab@yahoo.com}
}
\references{
Schwab, Joshua "software paper coming soon..."	
	
Petersen, Maya, Schwab, Joshua and van der Laan, Mark J, ""Targeted Maximum Likelihood Estimation of Marginal Structural Working Models for Dynamic Treatments Time-Dependent Outcomes", Forthcoming

van der Laan, Mark J. and Gruber, Susan, "Targeted Minimum Loss Based Estimation of an Intervention Specific Mean Outcome" (August 2011). U.C. Berkeley Division of Biostatistics Working Paper Series. Working Paper 290.
\url{http://biostats.bepress.com/ucbbiostat/paper290}

van der Laan, Mark J. and Rose, Sherri, "Targeted Learning: Causal Inference for Observational and Experimental Data" New York: Springer, 2011.
}
\keyword{ package }
\seealso{
\code{\link{ltmle}}
}
\examples{
## For examples see examples(ltmle)
}
